<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolOptimizedTuning" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolOptimizedTuning</refname>

    <refpurpose>Launches the optimization process and updates compensator if
    optimization succeeds.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolOptimizedTuning()</synopsis>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>This callback launches the optimization process and updates
    compensator if optimization succeeds. It first builds the optimization
    variable, the cost function and the boundaries associated with the user
    settings. Then the solver <link
    linkend="scilab.help/fminsearch">fminsearch</link> is called. If a
    feasible point is obtained the results is used to update the compensator
    data structure.</para>
  </refsection>

  <refsection>
    <title>Called function</title>

    <informaltable border="1">
      <tr>
        <td><link
        linkend="sisotoolOptimSettings">sisotoolOptimSettings</link></td>

        <td>gets the optimization parameters from the optimization GUI.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolGetSession">sisotoolGetSession</link></td>

        <td>retrieves the <link linkend="sisotoolSessionData">session data
        structure</link> from the editors window user_data field</td>
      </tr>

      <tr>
        <td><link
        linkend="sisotoolGetArchiSpecs">sisotoolGetArchiSpecs</link></td>

        <td>returns the characteristics of the selected architecture.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolAddHistory">sisotoolAddHistory</link></td>

        <td>adds a new change in the history.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolSetSysVars">sisotoolSetSysVars</link></td>

        <td>updates the compensator data structure with the optimization
        variables' array. This function is generated by <link
        linkend="sisotoolOptimSettings">sisotoolOptimSettings</link>.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolSetSession">sisotoolSetSession</link></td>

        <td>stores the <link linkend="sisotoolSessionData">session data
        structure</link> in the editors window user_data field.</td>
      </tr>

      <tr>
        <td><link linkend="sisotoolRedraw">sisotoolRedraw</link></td>

        <td>redraw all the opened GUIs.</td>
      </tr>
    </informaltable>
  </refsection>
</refentry>
